
ACSA HK Bill Payment SDK - Enhancement #14191

[VST2 - Backoffice_API] Add New Card Fields

23 August 2022 04:23 PM - wong yen chen

Status: Closed Start date: 23 August 2022

Priority: High Due date: 29 August 2022

Assignee: wong yen chen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Background

Netmember would like to align the naming convention on card related fields and add an additional field of [cardFace] to bill payment.

Enhancement/Changes

Change of name

1. cardType --> cardScheme

2. cardName --> cardType

New field

1. cardFace

Expectation

1. API specification update

2. Changed all the related API

3. Changed all the related field(s) in Backoffice

History

#1 - 23 August 2022 05:14 PM - wong yen chen

[Update]

Enhancement/Changes

Change of name

1. cardType --> cardScheme (e.g. VISA, MAST, UPAY, JCB)

New field

1. cardFace (not sure what will they pass)

2. productCode (e.g. VJ, MCP...)

#2 - 25 August 2022 06:33 PM - wong yen chen

[Update] Code of Card Scheme

V: VISA

M: MASTERCARD

J: JCB

U: UNION PAY
#3 - 26 August 2022 11:11 AM - Shafiqah Rahni

- Status changed from New to Resolved

- Assignee changed from Shafiqah Rahni to wong yen chen

- % Done changed from 0 to 100

BillPaymentApi

Revision: 218743

Change card type -> card scheme

Add cardFace, productCode

1. - update cardType to cardScheme

- add cardFace, productCode in getBillPayment response

2. - update cardType to cardScheme

- add cardFace, productCode in performBillPayment request

3. - update cardType to cardScheme

- add cardFace, productCode in getTrxRecordDetail response

4. - update cardType to cardScheme

- add cardFace, productCode in getBillPaymentDetail response

Revision: 218762

Update Code of Card Scheme -> V,M,J,U

BackOffice

Revision: 218741

Change card type -> card scheme

Add cardFace, productCode

1. Schedule/Recurrent payment detail

2. Bill History detail

Revision: 218742

Update Card type drop down

1. Daily report search criteria

#4 - 26 August 2022 03:40 PM - wong yen chen

- File Change of Card Scheme_Enhancement #14191.xlsx added

Tested all good.

#5 - 30 August 2022 09:23 AM - wong yen chen

- Status changed from Resolved to Closed
Deployed to all environment @ 29/8/2022

Files

Change of Card Scheme_Enhancement #14191.xlsx 938 KB 26 August 2022 wong yen chen
